/*
 * Android.h
 *
 *  Created on: 2024年5月16日
 *      Author: 34509
 */

#ifndef SOFTWARE_POWER_CTRL_ANDROID_H_
#define SOFTWARE_POWER_CTRL_ANDROID_H_

#include "ch32v30x.h"
#include <rtthread.h>
#include <rthw.h>
#include "drivers/pin.h"

/* PE3，控制智能模块的电源开关 */
#define android_PowerCtrl_Pin 2
/* PE2，拉低7 ~10S智能模块系统会强制复位 */
#define android_PowerKey_Pin 1



void android_PowerCtrl_Init(void);
void android_PowerCtrl_Open(void);
void android_PowerCtrl_Close(void);

void android_PowerKey_Init(void);
void android_PowerKey_Rest(void);

#endif /* SOFTWARE_POWER_CTRL_ANDROID_H_ */
